input,
textarea {
    display: inline;
    font-family: 'open-sans', 'arial';
    margin: 3px;
    padding: 8px;
    font-size: 14px;
    border-radius: 8px;
    width: calc(100% - 30px);
    background: var(--input_bg);
    border: 1px solid var(--input_border);
    color: var(--input_color);
    caret-color: var(--input_color);
    transition: 0.05s;

    &::placeholder {
        color: var(--input_color_placeholder);
    }

    &:focus::placeholder {
        color: var(--input_color_focus_placeholder);
    }

    &:focus {
        background: var(--input_bg_focus);
        outline: none;
        border: 1px solid var(--input_border_focus);
    }
}

input[type="submit"] {
    color: var(--input_color_submit);
    margin-top: 25px;
    padding: 10px 15px;
    background: var(--input_bg_submit);
    cursor: pointer;
    transition: 0.05s;

    &:hover {
        color: var(--input_color_submit_hover);
        background: var(--input_bg_submit_hover);
        box-shadow: 0 2px 10px 0px var(--input_shadow_submit_hover);
    }
}
